<div class="modal fade" id="importGlossaryModal" tabindex="-1" role="dialog" aria-labelledby="importGlossaryModal"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-slideout modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="importGlossaryLabel">Bulk Import</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="closeModalBtn">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="mt-2 ml-5 mr-5">
                    <h6 class="need-a-template">{{ csLabels.Glossary['NeedTemplate'] }}</h6>
                    <button class="btn btn-md btn-primary actionButton mb-3"
                        (click)="downloadTemplate()">{{ csLabels.Glossary['DownloadTemplate'] }}</button>
                    <hr />
                    <h6 class="mt-4 need-a-template">{{ csLabels.Glossary['UploadDocument'] }}</h6>

                    <div class="custom-upload">
                        <label class="btn"><span class="upload-text">Drag and drop or </span> 
                            <span class="browse-text">browse</span>
                            <input #fileUpload type="file" name="file" class="btn" id="uploadView"
                                (change)="selectSampleFile($event)" />
                        </label>
                    </div>
                    <button name="btnUpload" #btnUpload class="btn btn-md btn-primary actionButton mt-2 w-100 btn-import"
                        *ngIf="selectedFiles && !isUploading"
                        (click)="uploadBusinessGlossary()">{{csLabels.Glossary['uploadFileButton']}}</button>
                    <button name="btnUpload" #btnUpload class="btn btn-md actionButton mt-2 w-100 btn-import btn-secondary mr-2"
                        *ngIf="selectedFiles && !isUploading"
                        data-dismiss="modal">Cancel</button>
                        <div class="progressContainer mt-3" *ngIf="this.progresswidth > 0">
                            <p class="mt-2 ml-2 mr-2 mb-2 bulk-import-filename">{{fileNameToView}}</p>
                        <div class="progress ml-2 mr-2" >
                            <div class="progress-bar" role="progressbar" [style.width]="progresswidth + '%'"
                                aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                        </div>
                        <p class="mt-2 ml-2 mr-2 mb-2 progress-complete">{{progresswidth}}% done</p>
                    </div>
                    <div *ngIf="displayRecords == true" class="mt-5">
                        <h6 class="need-a-template">Validation Summary</h6>
                        <p class="progress-results"><span><img src="assets/images/novartis/success.svg" class="success"></span> Number of Records: {{totalRecords}}</p>
                        <p class="progress-results"><span><img src="assets/images/novartis/success.svg" class="success"></span> Number of Records Updated: {{successRecords}}</p>
                        <p class="progress-results"><span><img src="assets/images/novartis/error.svg" class="success"></span> Number of Failed Reord Updates: {{failedRecords}}</p>
                        <a class="mt-3 need-a-template" class="pointer" (click)="downloadReport()">Download Full Report</a>
                    </div>
                    <div *ngIf="displayRecords == true">
                        <button name="btnUpload" #btnUpload class="btn btn-md btn-primary actionButton mt-2 w-fc btn-import"
                            (click)="finalUpload()">Continue Import</button>
                        <button name="btnUpload" #btnUpload class="btn btn-md btn-secondary mr-2 actionButton mt-2 w-100 btn-import"
                            data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
            <!-- <div class="modal-footer cmb-10">
                <button type="button" class="btn btn-secondary actionButton float-right" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary actionButton float-right mr-2">Save changes</button>
            </div> -->
        </div>
    </div>
</div>
<div class="modal fade" id="addRowModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel3"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-slideout modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">New Row</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="mt-3 ml-5 mr-5">
                    <form>
                        <div class="form-group">
                            <label for="Category"><span class="text-danger font-weight-bold">* </span>Category</label>
                            <select class="form-control" id="newCat" name="newCategory" [(ngModel)]="newCategory" placeholder="Enter Category" (change)="addedNewCategory(newCategory)">
                                <option *ngFor="let item of allCategories" value="{{item}}">{{item}}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="Sub-Category">Sub-Category</label>
                                <select class="form-control" id="newSubCat" name="newSubCategory" [(ngModel)]="newSubCategory" placeholder="Enter Sub-Category" > <!--(change)="addedNewCategory(newCategory)"-->
                                    <option *ngFor="let item of newSubCategoryList" value="{{item}}">{{item}}</option>
                                </select>
                        </div>
                        <div class="form-group">
                            <label for="Value"><span class="text-danger font-weight-bold">* </span>Value</label>
                            <input type="text" class="form-control custInput" id="Value" placeholder="Enter Value"
                                [(ngModel)]="newValue" name="newValue" required>
                        </div>
                        <div class="form-group">
                            <label for="Description">Description</label>
                            <input type="text" class="form-control custInput" id="Description" placeholder="Enter Description"
                                [(ngModel)]="newDescription" name="newDescription">
                        </div>
                        <div class="form-group">
                            <label for="Status">Status</label>
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input custom-check" id="Status" [(ngModel)]="newStatus"
                                    name="newStatus">
                                <label class="form-check-label" for="Active">Active</label>
                            </div>
                        </div>
                        <div class="mt-3">
                            <button class="btn btn-primary actionButton btn-sm float-right" (click)="addToList()" [disabled]="newValue.length < 1 || newCategory.length < 1">Submit</button>
                            <button class="btn btn-sm btn-secondary float-right mr-2" id="cancelBtn"
                                data-dismiss="modal">Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row mt-4-5 ml-3 mr-3 mb-5 cust-height" id="adv-search-drop-form">
    <div class="col-md-2 mt-3 mb-3 border-solid">

        <form class="form-inline d-flex md-form mt-0">
            <img src="assets/images/novartis/search.png" srcset="assets/images/novartis/search@2x.png 2x,
                                assets/images/novartis/search@3x.png 3x" class="search">
            <input class="Search ml-2" type="text" placeholder="Search" [(ngModel)]="searchText" name="searchText"
                aria-label="Search" (change)="triggerSearch()">
        </form>
    </div>
    <div class="col-md-8 Line">
        <div class="row mt-3 ml-1">
            <div class="col-md-3">
                <ejs-multiselect #category id="multiselect-checkbox" [dataSource]="allCategories"
                     (change)="categoryChange()" cssClass="e-outline" [mode]='mode' [showDropDownIcon]='true' showSelectAll='true'
                    [placeholder]="categoryWatermark" ></ejs-multiselect>  <!--(created)='onCreate()'-->
            </div>
            <div class="col-md-3">
                <ejs-multiselect #subCategory id="state" [dataSource]="allSubCategories" [showDropDownIcon]='true' showSelectAll='true'
                (change)="subCategoryChange()" [placeholder]="subCategoryWatermark" cssClass="e-outline" [enabled]="true"  [mode]='mode'></ejs-multiselect>
            </div>
            <div class="col-md-3">
                <ejs-multiselect #valueMulti id="state" [dataSource]="valueDataSource" [showDropDownIcon]='true' 
                (change)="valueChange()" [placeholder]="valueWatermark" cssClass="e-outline" [enabled]="false"  [mode]='mode'></ejs-multiselect>
            </div>
            <div class="col-md-3">
                <input class="form-control form-control-lg b-0" type="text" placeholder="Description" id="searchDescription"
                (change)="triggerSearch()" name="searchDescription" [(ngModel)]="searchDescription">
            </div>
        </div>
    </div>
</div>

<div id="glossaryTools">
    <button id="addRow" class="btn btn-primary actionButton mr-3 mt-0 addBtnSearch custBtn" data-toggle="modal" 
        appPermissions functionality="CATALOG.ASSIGN_TAG" action="R"
        data-backdrop='static' data-keyboard='false' data-target="#addRowModal">
        <img alt="Add Row" class="add" src="assets/images/novartis/add.svg" />
        Add Row</button>
    <button id="bulkImport" class="btn btn-primary actionButton mr-2 mt-0 custBtn" data-toggle="modal"
        appPermissions functionality="CATALOG.ASSIGN_TAG" action="R" (click)="clearUploadContent()"
        data-target="#importGlossaryModal" data-backdrop='static' data-keyboard='false'>
        <img alt="Bulk Import" class="add" src="assets/images/novartis/upload.svg" />
        Bulk Import</button>
</div>
<span id="showDVResultsCount2" class="top-minus-5 mr-5">
    <span class="text-muted ml-135">1-{{selectionPaginator}}  of {{data?.length}} result(s)</span>
</span>
<div class="row mr-3" id="customGlosPagerTemplate1">
    <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page</span>
    <span>
        <ejs-dropdownlist name="pageSize" cssClass="e-outline"
            [dataSource]="GlosListOfPagination" [value]="selectionPaginator" (change)="changeGlosPageSize($event)"
            width="75px">
        </ejs-dropdownlist>
    </span>
</div>
<div class="ml-3 mr-3 mt-2 mb-3">

    <ejs-grid #gridelement [dataSource]='data' allowSorting='true' allowPaging='true' id="glossTab"
    [sortSettings]='initialSort' [toolbar]="toolbar1" [pageSettings]='gridPageSettings' [editSettings]='editSettings'>

        <e-columns>
            <e-column field='category' headerText='Category' width=120 isPrimaryKey='true' ></e-column>
            <e-column field='subcategory' headerText='Sub Category' width=120 isPrimaryKey='true' ></e-column>
            <e-column field='name' headerText='Value' width=120 isPrimaryKey='true' ></e-column>
            <e-column field='description' headerText='Description' width=120 cssClass="e-outline"></e-column>

            <e-column headerText="Active" width='120' editType= 'booleanedit' field='status' [edit]='boolParams'
            textAlign="Center">
            <ng-template #template let-data1>
              <span class="switch">
                {{(data1.status) ? 'Yes':''}}
                <ejs-switch [checked]="data1.status" [disabled]="true"></ejs-switch>
                {{(!data1.status) ? 'No': ''}}
              </span>
            </ng-template>
            <ng-template #editTemplate let-data1>
                <span class="switch">
                    {{(data1.status) ? 'Yes':''}}
                    <ejs-switch [checked]="data1.status" [(ngModel)]="data1.status" (change)="onEditStatus()"></ejs-switch> <!--onEditStatus(data1)-->
                    {{(!data1.status) ? 'No': ''}}              
                  </span>
            </ng-template>
          </e-column>

            <!-- <e-column headerText='Active' width=120 editType= 'booleanedit' field='status' [edit]='boolParams'>
                <ng-template #template let-data1> -->
                    <!-- <div class="switchToggle">
                        <input type="checkbox" id="{{'switch'+data1.id}}" [disabled]='true' value="data1.status"  [ngModel]="data1.status">
                        <label class="toggle-bar" for="{{'switch'+data1.id}}"  ></label>
                    </div> -->
                    <!-- <span class="switch">
                        {{data1.status?'Yes':''}}
                        <ejs-switch [checked]="data1.status" [ngModel]="data1.status" [disabled]="true"></ejs-switch>
                        {{data1.status?'':'No'}}
                    </span>
                </ng-template>
            </e-column> -->
            <e-column headerText="Action" width=90 [commands]='commands' *ngIf="checkPermission()"></e-column>
        </e-columns>
    </ejs-grid>
    <span class="d-flex float-right top-minus-42" id="customGlosPagerTemplate">
        <span class="text-dark ml-5 mr-2 mt-1 pt-1"><small>Results Per Page </small> </span>
        <span class="mt-1">
            <ejs-dropdownlist name="pageSize" cssClass="e-outline"
                [dataSource]="GlosListOfPagination" [value]="selectionPaginator"  (change)="changeGlosPageSize($event)"
                width="75px">
            </ejs-dropdownlist>
        </span>
    </span>
</div>